convertS3toS4 <- function(S3file, myFCSobj.name="", fileName=""){
  cell.df <- S3file$data
  metadata.list <- S3file$metadata

  param.dependent.keywords <- function(prefix,suffix) {
    ## returns a vector of strings
    ## the vector has a length of $PAR (the number of parameters)
    ## each string includes the position in the vector
    paste(prefix,1:as.integer(metadata.list[["$PAR"]]),suffix,sep="")
  }

  ## need a function to get the parameters.. if missing then return NA
  get.metadata <- function(paramString) {
    ## matches the metadata name, paramString
    ## returns the value associated with the metadata name, paramString
    data.par <- ifelse(is.na(charmatch(c(paramString),
                                       names(metadata.list))),
                       NA,
                       metadata.list[charmatch(c(paramString),
                                                       names(metadata.list))])
    return(data.par)
  }


  return(new("FCS",
             data=as.matrix(cell.df),
             metadata=new("FCSmetadata",mode=metadata.list[["$MODE"]],
               size=as.numeric(metadata.list[["$TOT"]]),
               nparam=as.numeric(metadata.list[["$PAR"]]),
               shortnames= unlist(get.metadata(param.dependent.keywords("$P", "N"))),
               longnames=unlist(get.metadata(param.dependent.keywords("$P", "S"))),
               paramranges=as.numeric(unlist(get.metadata(param.dependent.keywords("$P", "R")))),
               filename=fileName,
               objectname=myFCSobj.name,original=TRUE,
               fcsinfo=metadata.list[!(names(metadata.list) %in% c("$MODE", "$TOT", "$PAR",
                 param.dependent.keywords("$P", "N"),
                 param.dependent.keywords("$P", "S"),
                 param.dependent.keywords("$P", "R")
                 ))])))
}


