MODE <- function(x,na.rm=TRUE){
    if (is.factor(x) || !is.numeric(x)) 
        stop("need numeric data")
    if (na.rm) 
        x <- x[!is.na(x)]
    else if (any(is.na(x))) 
        return(NA)
    n <- length(x)
    if (n == 0) 
        return(NA)

    xdensity <- density.lf(x,n=200)
    res <-xdensity$x[which.max(xdensity$y)]
    return(res)
}
