\name{"addParameter-methods"}
\docType{methods}
\alias{"addParameter-methods"}
\alias{addParameter-methods}
\alias{addParameter}

\title{Add a column data variable to the data of a FCS object}
\description{
  This function enables the user to add a column data variable, "colvar",
  (which specifies a value for each row/cell) to the data of a "FCS"
  object and updates the data information in the metadata of a FCS object. 
}
\section{Methods}{
\describe{

\item{x = "FCS", colvar = "vector"}{Adds colvar to the data portion of
the "FCS" object; colvar must agree in length with the row dimension
of the data matrix}

\item{x = "FCS", colvar = "vector", shortname="", longname="", use.shortname=FALSE}{
Other unlisted options in the signature include:

(1) shortname : character string denoting the name of colvar;
default value is "".

(2) longname : character string denothing the long name of colvar;
default value is "".

(3) use.shortname : boolean; if TRUE then the shortname is
assigned to the column variable in the data, otherwise the longname is
used; default value is FALSE}
}}
\keyword{methods}
\keyword{data}
\keyword{manip}
