\name{emp.f}
\alias{emp.f}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Create a guassian kernel density}
\description{
  emp.f creates a guassian kernel density estimate for x using a bandwidth h 
}
\usage{
emp.f(x, h)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{ the data vector }
  \item{h}{ the bandwidth, should be on scale of standardized x's  }
}
\details{
  the definition of bandwidth is different than R's density function, thus will not give you the same reult.  Also, emp.f finds the density estimate at every 0.02 values of x.  Also, this rescales x by median and the mad for a comparable unit
}
\value{

  \item{f}{the density at specific x}
  \item{x}{the values along the x axis every 0.02 values, going from midpoint between minimum and 2nd smallest to the largest and 2nd largest values of x}
  ...
}
\references{B.W. Silverman (1981),Using Kernel Density Estimates to
  Investigate Multimodatlity. J.R. Statist. Soc. B,43,1,97-99.}
\author{ Kevin Rader }



\seealso{ \code{\link{get.h}}, \code{\link{get.p}}, \code{\link{get.num.modes}}}
\examples{
 set.seed(12345)
 x<-runif(50)
 f<-emp.f(x,0.5)
}
\keyword{distribution }
