\name{get.num.modes}
\alias{get.num.modes}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Number of modes of a gaussian kernel}
\description{
  get.num.modes returns the number of modes of the gaussian kernel estimate for a given data vector and bandwidth on the standardized scale
}
\usage{
get.num.modes(x, h)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{ the data vector }
  \item{h}{ the bandwidth for the standardized data vector }
}

\value{
      \item{x}{number of modes}
    }
    
\references{ B.W. Silverman (1981),Using Kernel Density Estimates to
  Investigate Multimodatlity. J.R. Statist. Soc. B,43,1,97-99.}
\author{Kevin Rader}



\seealso{ \code{\link{get.h}}, \code{\link{get.p}}, \code{\link{emp.f}}}
\examples{

 set.seed(12345)
 x<-rnorm(50)
 h<-get.h(x)
 num<-c(get.num.modes(x,h),get.num.modes(x,h-0.005))
 num
}
\keyword{distribution}
