\name{rect.box.idx}
\alias{rect.box.idx}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Superimposes a rectangle on an existing plot given positional indicies}
\description{
  The boundaries of a rectangle are determined from a vector of
  positional indicies 'box.idx' and the given variables, 'x1' and 'x2'.
  This box is then displayed on the existing plot. 
}
\usage{
rect.box.idx(x1, x2, box.idx = NULL,
    original.data.idx = 1:length(x1),
    border = "black", lwd = 3, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
 
  \item{x1}{vector of values for variable 1}
  \item{x2}{vector of values for variable 2}
   \item{box.idx}{vector of positional indicies that indicate the box to
     be shown}
   \item{original.data.idx}{positional values of the current 'x1' and
    'x2' observations}
  \item{border}{the color of the outline of the box or rectangle}
  \item{lwd}{the width of the lines of the box}
  \item{\dots}{ other options in \link{rect}}
}
\details{
  This function would be coupled with the use of
  \link{ContourScatterPlot} to show the boxes obtained by 'do.PRIM'
  (Patient Rule Induction Method) from the
  \pkg{rfcprim} package.  PRIM is a semi-automated bump-hunting program.
}
\value{

}
\references{ See details in \pkg{rfcprim}}
\author{A.J. Rossini and J.Y. Wan}



\seealso{ \code{\link{ContourScatterPlot}}, \pkg{rfcprim} library }
\examples{
if (require(rfcdmin)){

data(PRIM.example.data)
  

if (require(rfcprim)){

## only the peeling step is implemented
out.peel <- peel.step(X.PRIM, Y.PRIM)

if (interactive()){
ContourScatterPlot(X.PRIM[,1], X.PRIM[,2],  status=Y.PRIM,
   main="z statistic",
   xlab=col.nm[4],
   ylab=col.nm[5], image.col=heat.colors(20),plot.legend.CSP=TRUE)
## the Green box is the initial estimate of the first rule
## after the peeling step
rect.box.idx(out.peel@best.box.idx, X.PRIM[,1], X.PRIM[,2], border="green")
}
}
}
}

\keyword{hplot}% at least one, from doc/KEYWORDS
